
#pragma once

#include "RegDumpFDDDlg.h"

class CRegDumpViewFDD : public CDockablePane
{
		DECLARE_DYNAMIC(CRegDumpViewFDD)

	protected:
		CRegDumpFDDDlg m_FDDRegDumpDlg;

	public:
		CRegDumpViewFDD();
		virtual ~CRegDumpViewFDD() override;
		virtual void AdjustLayout() override;

		void DisplayRegDump()
		{
			if (IsVisible())
			{
				// выводим на экран данные FDD
				m_FDDRegDumpDlg.DisplayFDDData();
				m_FDDRegDumpDlg.DisplayHDDData();
			}
		}

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

